/**
 * Also default config for the whole
 */
module.exports = {

   SERVICE_NAME: "default_service_name",

   LOGGER: {
      LOG_LEVEL: "info", // project wide log level
      LOG_SRC: false,
      LOG_REQUEST: true,
      LOG_RESPONSE: true,
      LOG_EXTERNAL_CALL_REQUEST: true,
      LOG_EXTERNAL_CALL_RESPONSE: true,
      LOG_EXTERNAL_CALL_RETRY_ATTEMPT: true,
   },

   STATSD: {
      HOST: "localhost",
      PORT: 8125,
      SEND_RESPONSE_TIME_STATS: true,
      SEND_ERROR_RESPONSE_STATS: true,
      SEND_EXTERNAL_CALL_RESPONSE_TIME: true,
      SEND_EXTERNAL_CALL_RESPONSE_SUCCESS: true,
      SEND_EXTERNAL_CALL_RESPONSE_ERRORS: true,
      SEND_LUA_SCRIPT_TIME: true,
      SEND_LUA_SCRIPT_ERROR_STATS: true,
      SEND_RESPONSE_CODE_STATS: true,
      SEND_PATH_STATS: true,
   },
   LUA_SCRIPTS_DIR: __dirname + "/../luaScripts/",
   REDIS: {
      GAME_REDIS: [
         {
            port: 7000,
            host: "redis-game-1.prod",
         },
         {
            port: 7001,
            host: "redis-game-2.prod",
         },
         {
            port: 7002,
            host: "redis-game-3.prod",
         },
      ],
      SESSION_REDIS: [
         {
            port: 7000,
            host: "redis-session-1.prod",
         },
         {
            port: 7001,
            host: "redis-session-2.prod",
         },
         {
            port: 7002,
            host: "redis-session-3.prod",
         },
      ],
   },
   MONGO: {}
};
