const logger = require('../logger/logger')
({
  SERVICE_NAME: process.env._EVENT_BUS_SERVICE_NAME,
  LOGGER: {LOG_LEVEL: process.env._EVENT_BUS_LOG_LEVEL, src: true},
});
const {v4: uuidv4} = require('uuid');

module.exports.getTopicName = function(serviceName, eventName) {
  if (serviceName == null) return eventName;
  return serviceName + '-' + eventName;
};

module.exports.getConsumerGroupName = function(
    topic, consumerService, options) {
  if (options && options.isUniqueSubscriber)
    return consumerService + '-' + topic + '-' + uuidv4() + '-consumerGroup';
  return consumerService + '-' + topic + '-consumerGroup';
};
module.exports.getLogger = function() {
  return logger;
};