const promisify = (func) => {
  return function(...args) {
    return new Promise((resolve, reject) => {
      args.push((res) => {
        if (res.err) return reject(res.error || res.err);
        return resolve(res.data);
      });
      func(...args);
    });
  };
};

const deepClone = obj => {
  if (obj === null) return null;
  let clone = Object.assign({}, obj);
  Object.keys(clone).forEach(
      key =>
          (clone[key] =
              typeof obj[key] === 'object' ? deepClone(obj[key]) : obj[key]),
  );
  return Array.isArray(obj) && obj.length
      ? (clone.length = obj.length) && Array.from(clone)
      : Array.isArray(obj)
          ? Array.from(obj)
          : clone;
};
module.exports = {
  promisify,
  deepClone,
};